// dumpCGI.java
// Compile using: $ javac "dumpCGI.java"
//
// 02-DEC-2014  MGD  X-record0-mode to handle "empty" newlines 
// 03-JUN-2000  MGD  less sloppy CGI, add header!
// 03-SEP-1998  MGD  changes in line with JDK 1.1.6 final release
// 09-DEC-1997  MGD  initial
//
// Dump CGI variable values using the CGIplus class for a "CGI" script.
// Can be invoked using ... http://host/cgiplus-bin/dumpcgi.class

import java.io.*;

public class dumpcgi {

   private static CGIplus cgienv = new CGIplus();
   private static String nameValue = null;

   public static void main (String args[]) {

      // CGI-compliant plain-text header (and pre-expired)
      System.out.print("Content-Type: text/plain\n" +
                       "Script-Control: X-record0-mode=1\n" +
                       "Expires: Thu, 01-Jan-1970 00:00:01 GMT\n\n");

      System.out.println("There are " +
                         cgienv.getCgiVarCount() +
                         " CGI variables ...");
      System.out.println();
      while ((nameValue = cgienv.nextCgiVar()) != null)
         System.out.println(nameValue);

      // an alternative would have been ...
      // cgienv.dumpCgiVar();

      if (cgienv.isPOSTedForm())
      {
         System.out.println(cgienv.getCgiVar("CONTENT_TYPE"));

         cgienv.dumpForm();

         while ((nameValue = cgienv.nextFormField()) != null)
            System.out.println(nameValue);

         System.out.println(cgienv.getFormField("hidden2"));
         System.out.println(cgienv.getFormField("hidden3"));
      }
   }
}
